#include <stdio.h>
#include <stdlib.h>
#include <stdbool.h>

#ifndef board_h
#define board_h

enum state{Croix, Cercle, Vide};

struct board{
    int col;
    int line;
    enum state **data;
    int last_pos_x;
    int last_pos_y;
    enum state last_symbole;
};

struct board create_board(int col, int line);
void init_board(struct board *board);
void print_game(struct board *board);
int current_line(struct board board, int no_col);
bool is_full_board(struct board board);
void free_board(struct board *board);

#endif