#include "twoPlayers.h"

/**
 * Actions for play with two players
 * @param struct the game board
 */
void play_two_players(struct board board){
    int no_col = 0;
    int no_line = 0;
    int no_round = 1;
    while(!is_full_board(board)){
        printf("Column number? (starts at 1):");
        scanf("%d", &no_col);
        printf("\n");
        no_line = current_line(board,no_col - 1);
        if(no_round % 2 != 0){
            board.data[no_line][no_col - 1] = Croix;
            board.last_symbole = Croix;
        }
        else{
            board.data[no_line][no_col - 1] = Cercle;
            board.last_symbole = Cercle;
        }
        board.last_pos_x = no_line;
        board.last_pos_y = no_col - 1;
        print_game(&board);
        if(winner(board)){
            if(board.last_symbole == Croix){
                printf("Player one won!\n");
            }
            else if(board.last_symbole == Cercle){
                printf("Player two won!\n");
            }
            break;
        }
        no_round++;
    }
    if(is_full_board(board)){
        printf("It is a draw.\n");
    }
}
